| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::StructuredEdgeDetection Class Referenceabstract
Extended Image Processing » Structured forests for fast edge detection

Class implementing edge detection algorithm from [70] : More...

`#include <opencv2/ximgproc/structured_edge_detection.hpp>`

Collaboration diagram for cv::ximgproc::StructuredEdgeDetection:

## Public Member Functions
virtual void | computeOrientation (cv::InputArray src, cv::OutputArray dst) const =0
| The function computes orientation from edge image.
virtual void | detectEdges (cv::InputArray src, cv::OutputArray dst) const =0
| The function detects edges in src and draw them to dst.
virtual void | edgesNms (cv::InputArray edge_image, cv::InputArray orientation_image, cv::OutputArray dst, int r=2, int s=0, float m=1, bool isParallel=true) const =0
| The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing edge detection algorithm from [70] :

## Member Function Documentation

## ◆ computeOrientation()

virtual void cv::ximgproc::StructuredEdgeDetection::computeOrientation | ( | cv::InputArray | src,
|  | cv::OutputArray | dst ) const
| pure virtual

Python:
| cv.ximgproc.StructuredEdgeDetection.computeOrientation( | src[, dst] | ) -> | dst

The function computes orientation from edge image.

Parameters

  src | edge image.
  dst | orientation image.

## ◆ detectEdges()

virtual void cv::ximgproc::StructuredEdgeDetection::detectEdges | ( | cv::InputArray | src,
|  | cv::OutputArray | dst ) const
| pure virtual

Python:
| cv.ximgproc.StructuredEdgeDetection.detectEdges( | src[, dst] | ) -> | dst

The function detects edges in src and draw them to dst.

The algorithm underlies this function is much more robust to texture presence, than common approaches, e.g. Sobel

Parameters

  src | source image (RGB, float, in [0;1]) to detect edges
  dst | destination image (grayscale, float, in [0;1]) where edges are drawn

See also
  Sobel, Canny

## ◆ edgesNms()

virtual void cv::ximgproc::StructuredEdgeDetection::edgesNms | ( | cv::InputArray | edge_image,
|  | cv::InputArray | orientation_image,
|  | cv::OutputArray | dst,
|  | int | r = 2,
|  | int | s = 0,
|  | float | m = 1,
|  | bool | isParallel = true ) const
| pure virtual

Python:
| cv.ximgproc.StructuredEdgeDetection.edgesNms( | edge_image, orientation_image[, dst[, r[, s[, m[, isParallel]]]]] | ) -> | dst

The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.

Parameters

  edge_image | edge image from detectEdges function.
  orientation_image | orientation image from computeOrientation function.
  dst | suppressed image (grayscale, float, in [0;1])
  r | radius for NMS suppression.
  s | radius for boundary suppression.
  m | multiplier for conservative suppression.
  isParallel | enables/disables parallel computing.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/structured_edge_detection.hpp